#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "ArchiveCompendiumSubPresenter.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API UArchiveCompendiumSubPresenter : public USubPresenter
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable)
	void OnTomeSelected(const FString& tomeId);

public:
	UArchiveCompendiumSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UArchiveCompendiumSubPresenter) { return 0; }
